Bug 27531 - Remove type attribute from script tags: Cataloging plugins
Summary: Remove type attribute from script tags: Cataloging plugins
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 22956
  Show dependency treegraph
 
Reported: 2021-01-22 17:00 UTC by Owen Leonard
Modified: 2021-02-11 21:51 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Medium patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.03,20.05.09,19.11.15


Attachments
Bug 27531: Remove type attribute from script tags: Cataloging plugins (40.77 KB, patch)
2021-01-22 17:03 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27531: Remove type attribute from script tags: Cataloging plugins (40.82 KB, patch)
2021-01-22 20:45 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 27531: Remove type attribute from script tags: Cataloging plugins (40.88 KB, patch)
2021-01-26 21:41 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-01-22 17:00:39 UTC
This patch will remove the obsolete "type" attribute from <script> tags in the  cataloging plugin templates.
Comment 1 Owen Leonard 2021-01-22 17:03:32 UTC
Created attachment 115703 [details] [review]
Bug 27531: Remove type attribute from script tags: Cataloging plugins

This patch removes the no-longer-valid "type" attribute from script tags
found in cataloging plugin templates.

I don't think testing each plugin individually is a reasonable thing to
ask for a test. I think a visual verification of the changes in the
patch should be enough.
Comment 2 Lucas Gass 2021-01-22 20:45:03 UTC
Created attachment 115714 [details] [review]
Bug 27531: Remove type attribute from script tags: Cataloging plugins

This patch removes the no-longer-valid "type" attribute from script tags
found in cataloging plugin templates.

I don't think testing each plugin individually is a reasonable thing to
ask for a test. I think a visual verification of the changes in the
patch should be enough.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Katrin Fischer 2021-01-26 21:41:50 UTC
Created attachment 115845 [details] [review]
Bug 27531: Remove type attribute from script tags: Cataloging plugins

This patch removes the no-longer-valid "type" attribute from script tags
found in cataloging plugin templates.

I don't think testing each plugin individually is a reasonable thing to
ask for a test. I think a visual verification of the changes in the
patch should be enough.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2021-01-27 13:37:57 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 5 Fridolin Somers 2021-01-29 14:42:24 UTC
Pushed to 20.11.x for 20.11.03
Comment 6 Andrew Fuerste-Henry 2021-02-04 21:36:51 UTC
Pushed to 20.05.x for 20.05.09
Comment 7 Victor Grousset/tuxayo 2021-02-09 21:37:44 UTC
Backported: Pushed to 19.11.x branch for 19.11.15